import * as React from 'react';
export declare type ScrollableFeedVirtualizedProps = {
    itemHeight: number;
    marginTop: number;
    animateScroll?: (element: HTMLElement, offset: number) => void;
    onScrollComplete?: () => void;
    viewableDetectionEpsilon?: number;
    className?: string;
    onScroll?: (isAtBottom: boolean) => void;
    scrollBarHorizontalGap?: number;
};
declare class ScrollableFeedVirtualized extends React.Component<ScrollableFeedVirtualizedProps> {
    private readonly wrapperRef;
    private readonly childWrapperRef;
    private readonly topRef;
    private readonly bottomRef;
    private forceScroll;
    private endIndex;
    private startIndexOverride;
    private endIndexOverride;
    constructor(props: ScrollableFeedVirtualizedProps);
    static defaultProps: ScrollableFeedVirtualizedProps;
    getSnapshotBeforeUpdate(): boolean;
    componentDidUpdate({}: any): void;
    componentDidMount(): void;
    /**
     * Scrolls a parent element such that the child element will be in view
     * @param parent
     * @param child
     */
    protected scrollParentToChild(parent: HTMLElement, child: HTMLElement): void;
    /**
     * Returns whether a child element is visible within a parent element
     *
     * @param parent
     * @param child
     * @param epsilon
     */
    private static isViewable;
    /**
     * Handles the keyDown event, sets forceScroll to false if it's PageUp or ArrowUp
     */
    protected handleKeyDown(e: any): void;
    /**
     * Handles the mouse wheel event, sets forceScroll to false
     */
    protected handleMouseWheel(): void;
    /**
     * Handles the mouse down event, sets forceScroll to false
     */
    protected handleMouseDown(e: any): void;
    /**
     * Handles the onScroll event, sending isAtBottom boolean as its first parameter
     */
    protected handleScroll(): void;
    /**
     * Scroll to the bottom
     */
    scrollToBottom(): void;
    /**
     * Jump to the bottom
     */
    jumpToBottom(): void;
    render(): React.ReactNode;
}
export default ScrollableFeedVirtualized;
